var reza,rezb,rezc,rezd,reze,rezf,x,y,z:string;
  rez1,rez2,rez3,rez4,rez5,rez6,max,a,b,c:integer;
begin
 readln(a,b,c);
 str(a,x);
 str(b,y);
 str(c,z);
 reza:=x+y+z;
 rezb:=x+z+y;
 rezc:=y+x+z;
 rezd:=z+x+y;
 reze:=y+z+x;
 rezf:=z+y+x;
 val(reza,rez1);
 val(rezb,rez2);
 val(rezc,rez3);
 val(rezd,rez4);
 val(reze,rez5);
 val(rezf,rez6);
 max:=rez1;
 if rez2>max then max:=rez2;
 if rez3>max then max:=rez3;
 if rez4>max then max:=rez4;
 if rez5>max then max:=rez5;
 if rez6>max then max:=rez6;
 writeln(max);
 readln;
end.